<?php
ob_start();
include("config.php");
	if(! check_login()) { 
	exit;
	}

$dbres	=	mysql_query("SELECT *,UNIX_TIMESTAMP(`gevangenis`) AS `gevangenis`,0 FROM `gebruiker` WHERE `login`='{$data->login}'");
$data	=	mysql_fetch_object($dbres);

	if($data->gevangenis + $data->gevangenistijd > time()){
	header("Location: netwerken-gevangenis.php"); 
	exit;
	}

?>

<html>
<head>
<title>Ultimatecrime</title>
<link rel="stylesheet" type="text/css" href="style_general.css">
</head>
<body background="layout/images/layout_12.gif" bgproperties="fixed">
<br>
<br>
<br>
<form method="post">
<table align="center" width="600">
	<tr>
		<td class="subTitle"><b>Netwerk - Netwerk oprichten</b></td>
	</tr>
	<tr>
		<td class="mainTxt" align="center">

<?php

	if($data->level == 1){
	echo "Je moet een VIP account hebben om een netwerk te mogen oprichten kijk bij VIP shop voor meer informatie.";
	} else {
		if($data->rank != "Baas Stadsnetwerk" && $data->rank != "Huurmoordenaar" && $data->rank != "Nationaal crimineel" && $data->rank != "Internationaal Crimineel" && $data->rank != "Lid Grote Raad"){
		echo "Je moet minimaal de rank: 'Baas Stadsnetwerk' hebben om een netwerk te kunnen oprichten.";
		} else {
			if(isset($_POST['submit'])){
			$consig		=	$_POST['consig'];
			$sotto		=	$_POST['sotto'];
			$leader		=	$data->login;
			$name		=	$_POST['famname'];
				if($_POST['famname'] == ""){
				echo "Vul een netwerk naam in.<meta http-equiv=\"refresh\" content=\"3\">";
				} else if(preg_match('/^[a-z0-9A-Z_\-]+$/',$name) == 0){
				echo "Het netwerk naam mag geen spaties of vreemde tekens bevatten!<meta http-equiv=\"refresh\" content=\"3\">";
				} else if($data->cash < 300000000){
				echo "Je hebt te weinig geld contant om een netwerk op te richten.<meta http-equiv=\"refresh\" content=\"3\">";
				} else if(strlen($name) < 4){
				echo "Jouw netwerk naam moet langer zijn dan 4 tekens.<meta http-equiv=\"refresh\" content=\"3\">";
				} else if($data->huwelijk == ""){
				echo "Je moet wel  getrouwd zijn om een netwerk op te richten.<meta http-equiv=\"refresh\" content=\"3\">";
				} else if($_POST['consig'] == "" || $_POST['sotto'] == ""){
				echo "Je moet 3 verschillende namen hebben dus dat is: jouw eigen plus nog 2 andere.<meta http-equiv=\"refresh\" content=\"3\">";
				} else if($leader == $sotto || $leader == $consig || $sotto == $consig){
				echo "je moet 3 verschillende namen hebben dus dat is: jouw eigen plus nog 2 andere.<meta http-equiv=\"refresh\" content=\"3\">";
				} else {
				$dbres      = mysql_query("SELECT * FROM `gebruiker` WHERE `login`='{$_POST['sotto']}' AND `familie`='' AND `faminvite`=''");
				$controlle1 = mysql_num_rows($dbres);
				$sottotest  = mysql_fetch_object($dbres);
				$dbres      = mysql_query("SELECT * FROM `gebruiker` WHERE `login`='{$_POST['consig']}' AND `familie`='' AND `faminvite`=''");
				$controlle2 = mysql_num_rows($dbres);
				$dbres      = mysql_query("SELECT * FROM `familie` WHERE `naam`='{$_POST['name']}'");
				$controlle3 = mysql_num_rows($dbres);
				$consigtest = mysql_fetch_object($dbres);	
					if($controlle3 != 0){
					echo "Deze netwerk naam is al gekozen.<meta http-equiv=\"refresh\" content=\"3\">";
					} else if($controlle1 == 0){
					echo "Je Sottocapo is al uitgenodig door een network uitgenodigd of zit al in één.<meta http-equiv=\"refresh\" content=\"3\">";
					} else if($controlle2 == 0){
					echo "Je Consiglieri is al uitgenodig door een network uitgenodigd of zit al in één.<meta http-equiv=\"refresh\" content=\"3\">";
					} else {
					$getal1	=	rand(400,2500);
					$getal2	=	rand(400,2500);
					$prijs1	=	2427*$getal1;
					$prijs2	=	2427*$getal1;
					mysql_query("INSERT INTO `land`(`land`,`oppervlakte`,`prijs`) VALUES('{$_POST['land']}','$getal1','$prijs1')");
					mysql_query("INSERT INTO `land`(`land`,`oppervlakte`,`prijs`) VALUES('{$_POST['land']}','$getal2','$prijs2')");
					mysql_query("INSERT INTO `familie`(`naam`,`land`,`leader`,`consig`,`sotto`) values('$name','{$_POST['land']}','$leader','{$_POST['consig']}','{$_POST['sotto']}')");
					mysql_query("UPDATE `gebruiker` SET `famleader`='1',`familie`='{$name}',`faminvite`='',`cash`=`cash`-'300000000' WHERE `login`='{$data->login}'");
					mysql_query("UPDATE `gebruiker` SET `faminvite`='{$name}',`invitetype`='2' WHERE `login`='{$consig}'");
					mysql_query("UPDATE `gebruiker` SET `faminvite`='{$name}',`invitetype`='3' WHERE `login`='{$sotto}'");
					mysql_query("INSERT INTO `berichten`(`tijd`,`ip`,`van`,`naar`,`titel`,`bericht`) VALUES(NOW(),'{$_SERVER['REMOTE_ADDR']}','Ultimatecrime','$consig','Netwerk Invite','Je bent door {$name} geinviteerd om het nieuwe netwerk {$_POST['name']} in {$_POST['land']} te joinen als consoglieri.')");
					mysql_query("INSERT INTO `berichten`(`tijd`,`ip`,`van`,`naar`,`titel`,`bericht`) VALUES(NOW(),'{$_SERVER['REMOTE_ADDR']}','Ultimatecrime','$sotto','Netwerk Invite','Je bent door {$name} geinviteerd om het nieuwe netwerk {$_POST['name']} in {$_POST['land']} te joinen als Sottocapo.')");
					echo "Je hebt succesvol een netwerk aangemaakt en de uitnodigingen voor Consiglieri en Sottocapo zijn verzonden.</td></tr>";
					}
				}
			} else {
				if($data->familie != ""){
				echo "Je zit al in een netwerk.";
				} else {

?>

		<table width="80%" align="center">
			<tr> 
				<td>Netwerk naam:</td>
				<td><input name="famname" type="text" id="famname" style="width:150"></td>
			</tr>
			<tr> 
				<td>Land voor je netwerk:</td>
				<td><select name="land" class="form_select" style="width:150"><option value="Colombia">Colombia</option><option value="Cuba">Cuba</option><option value="Duitsland">Duitsland</option><option value="Frankrijk">Frankrijk</option><option value="Irak">Irak</option><option value="Italië">Italië</option><option value="Japan">Japan</option><option value="Mexico">Mexico</option><option value="Nederland">Nederland</option><option value="Turkije">Turkije</option><option value="USA">USA</option><option value="Zuid-Afrika">Zuid-Afrika</option></select></td>
			</tr>
			<tr> 
				<td>Consiglieri (Bankbeheerder):</td>
				<td><input name="consig" type="text" id="consig" style="width:150"></td>
			</tr>
			<tr> 
				<td>Sottocapo (Onderbaas):</td>
				<td><input name="sotto" type="text" id="sotto" style="width:150"></td>
 			</tr>
			<tr> 
				<td></td>
				<td><input type="submit" name="submit" value="Maak netwerk aan" style="width:150"><br>(kosten: €300.000.000,-)</td>
 			</tr>
		</table>

<?php

				}
			}
		}
	}

?>

		</td>
	</tr>
	<tr>
		<td class="subtitle">&nbsp;</td>
	</tr>
</table>
</form>
</body>
</html>